Bug 199052 - SMP motherboard not identified at boot
SMP motherboard not identified at boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-16 12:36 EDT by Gordon Hay
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-20 21:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of dmesg (9.24 KB, text/plain)
2006-07-16 12:36 EDT, Gordon Hay
no flags Details
new dmesg log (8.96 KB, text/plain)
2006-10-18 17:31 EDT, Gordon Hay
no flags Details
Output of x86info -mp (1.26 KB, text/plain)
2006-10-19 11:05 EDT, Gordon Hay
no flags Details

  None (edit)
Description Gordon Hay 2006-07-16 12:36:44 EDT
Description of problem:
FC5 kernel does not identify SMP motherboard, where FC4 did.
Hardware is Compaq Proliant 2500 (2 x 200MHz Pentium Pro processors)

Version-Release number of selected component (if applicable):
FC5, tried with several recent kernels 

How reproducible:
Happens every time...

Steps to Reproduce:
Actual results:

 Checking 'hlt' instruction... OK.
 SMP alternatives: switching to UP code
 Freeing SMP alternatives: 16k freed
 CPU0: Intel Pentium Pro stepping 07
 SMP motherboard not detected.
 Brought up 1 CPUs

Expected results:
Brought up 2 CPUs...

Additional info: output of dmesg attached
Comment 1 Gordon Hay 2006-07-16 12:36:45 EDT
Created attachment 132524 [details]
output of dmesg
Comment 2 Gordon Hay 2006-09-01 04:33:31 EDT
Problem still apparent with kernel 2.6.17-1.2174_FC5smp
BTW, BIOS identifies 2 CPUs as normal....
Comment 3 Gordon Hay 2006-09-01 04:34:48 EDT
Problem still apparent with kernel 2.6.17-1.2174_FC5smp
BTW, BIOS identifies 2 CPUs as normal.
Comment 4 Dave Jones 2006-10-16 16:15:33 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Gordon Hay 2006-10-17 17:59:08 EDT
As requested, I have retested with the new kernel 2.6.18-1.2200.fc5

Sadly, though, there's no apparent difference in the symptoms.
Comment 6 Dave Jones 2006-10-17 19:43:59 EDT
I think the key is this..

Local APIC disabled by BIOS -- you can enable it with "lapic"

If there's an option in your BIOS to enable it, please do so.
Otherwise, try that boot parameter.
Comment 7 Gordon Hay 2006-10-18 13:52:22 EDT
Added "lapic" to kernel parameters, making:
memmap=exactmap mem=640k@0 mem=287m@1m lapic

No apparent change in the sysptoms...
Comment 8 Dave Jones 2006-10-18 16:50:12 EDT
can you attach the dmesg again with that option active ?
Comment 9 Gordon Hay 2006-10-18 17:31:37 EDT
Created attachment 138837 [details]
new dmesg log

New dmesg listing as requested.
Comment 10 Dave Jones 2006-10-18 18:06:04 EDT
can you install x86info, and run (as root) x86info -mp ?
Comment 11 Gordon Hay 2006-10-19 11:05:29 EDT
Created attachment 138878 [details]
Output of x86info -mp

Herewith x86info output as requested...
Comment 12 Dave Jones 2006-10-19 16:07:59 EDT
The first thing that jumps out at me is that the CPUs aren't paired. They're
completely different steppings.  Only certain steppings can be paired, usually
they have to be identical.  Did you add the 2nd CPU at a later date from when
you first got the server?

The next thing is even more bizarre.  
I find no evidence in Intels documentation that a Model 2 stepping 1 Pentium Pro
ever existed.  So either you've got something incredibly rare, or the BIOS is on
drugs putting random nonsense into its MP table.
See page 15 of the pdf at
and you'll see that all PPro's were model 1.

The more I look at this, the more I think this is a hardware problem of some
sort, and not a linux bug.
Comment 13 Gordon Hay 2006-10-19 18:12:05 EDT
-1- The two CPUs have always been there since I've had the box, but that's only
6 months or so.  Before that I've no idea.
-2- As you say, weird....

Not worth spending more time on, I guess.

But niggling away at the back of my mind is the recollection that it did work OK
on FC4.  I suppose it's conceivable that the BIOS/hardware broke between FC4
working and FC5 failing.  Maybe one day I'll try reinstalling FC4 to see...

Thanks anyway.
Comment 14 Dave Jones 2006-10-19 21:21:40 EDT
It might be worth opening up the case, taking the CPUs out and seeing what
steppings they are.  That one oddball CPU is intriguing.  PPro's all have an
identifying number on them something like SY943 which can be used on intel's
site to figure out exactly what they are.
Comment 15 Dave Jones 2006-10-20 21:56:27 EDT
I really don't think there's any hope for this to work in Linux, so I'm going to
close this as cantfix.

Note You need to log in before you can comment on or make changes to this bug.